//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 28 point
//     Bold: yes
//     Italic: no
//     Memory usage: 3056 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 28 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu28bData[2853] =
{
      5,  11,   0,  38,  64,  23,   6, 240,  52,  36,  36,  36,
     36,  36,  36,  36,  36,  36,  36,  36, 240,  98,  52,  36,
     50, 240, 240, 144,  20,  11, 240, 240,  52,  35,  36,  35,
     51,  35,  51,  35,  51,  35,  51,  35,  50,  51,   0,  25,
     45,  19,   0,   7, 115,  51, 163,  51, 147,  66, 163,  51,
    163,  51, 111,   1,  63,   1,  63,   1,  99,  51, 163,  51,
    163,  51, 111,   1,  63,   1,  63,   1,  99,  51, 163,  51,
    162,  67, 147,  51, 163,  51,   0,  15,  32,  35,  15,  84,
    180, 166, 136, 106,  68,  52,  68,  65, 100, 181, 166, 167,
    152, 136, 150, 181,  65, 100,  36,  84,  36,  84,  37,  53,
     59,  89, 134, 164, 180,   0,   8,  32,  52,  23,   0,   8,
    117, 147,  87, 116,  73,  84,  83,  51,  83,  99,  51,  67,
    121,  52, 135,  52, 165,  52, 240,  67, 240,  67, 240,  67,
     52, 196,  24, 148,  25, 147,  35,  67, 115,  51,  67,  99,
     67,  52,  84,  74,  68, 104,  83, 148, 129,   0,  16,  96,
     38,  18,   0,   7,  37, 199, 169, 147,  51, 147,  51, 147,
     36, 167, 197, 197, 199,  49, 104,  50,  68,  36,  34,  68,
     55,  68,  70,  68,  84,  85,  53, 109, 109, 102,  52,   0,
     13,  96,  13,   6, 240,  52,  36,  51,  51,  51,  51,  50,
      0,  13, 112,  27,   8, 179,  83,  67,  68,  68,  68,  52,
     68,  68,  68,  68,  68,  68,  68,  68,  83,  83,  84,  68,
     83,  99,  83, 240, 240, 192,  27,   8, 131,  83,  99,  84,
     68,  68,  83,  84,  68,  68,  68,  68,  68,  68,  68,  68,
     52,  68,  68,  67,  67,  83, 240, 240, 240,  20,  13, 240,
    240, 211, 163, 113,  35,  33,  59,  43,  71, 117, 119,  84,
     20,  97,  49,   0,  25,  20,  15,   0,  13,  99, 195, 195,
    195, 195, 125,  45,  45, 115, 195, 195, 195, 195,   0,  15,
    112,  14,   8,   0,  18,  36,  53,  52,  67,  68,  67,  83,
     82, 240, 112,  10,  12,   0,  18,  10,  42,  42,   0,  19,
     96,  11,   6,   0,  13,  82,  52,  36,  50, 240, 240, 144,
     27,  18, 240, 244, 227, 227, 228, 227, 228, 227, 228, 227,
    228, 227, 227, 228, 227, 228, 227, 228, 227, 228, 227, 227,
    228,   0,  13,  39,  17,   0,   7,   5, 169, 123,  85,  53,
     68,  84,  53,  84,  52, 116,  36, 116,  36, 116,  36, 116,
     36, 116,  36, 116,  36, 116,  36, 101,  52,  84,  69,  53,
     91, 121, 165,   0,  13,  80,  28,  10, 240, 240,  83, 100,
     70,  40,  40,  35,  20,  33,  52, 100, 100, 100, 100, 100,
    100, 100, 100, 100, 100, 100, 100,   0,   7,  96,  28,  14,
      0,   5, 101, 120,  90,  67,  53,  36,  68, 164, 164, 149,
    148, 149, 133, 148, 148, 148, 148, 164, 155,  44,  44,   0,
     10,  96,  29,  15,   0,   5, 107,  75,  74, 164, 179, 179,
    180, 182, 151, 130,  21, 181, 180, 180,  50, 100,  36,  84,
     52,  52,  75,  89, 133,   0,  12,  32,  16,   0,   7,   4,
    181, 166, 166, 151, 151, 131,  20, 116,  20, 115,  36,  99,
     52,  99,  52,  83,  68,  78,  46,  46, 164, 196, 196, 196,
      0,  12,  64,  30,  15,   0,   5, 107,  75,  75,  67, 195,
    195, 201, 106,  76,  52,  68,  66, 100, 180, 180,  65, 100,
     36,  84,  36,  68,  75,  89, 133,   0,  12,  31,  15,   0,
      6,  52, 179, 180, 179, 180, 164, 180, 167, 137,  91,  68,
     52,  52,  84,  36,  84,  36,  84,  36,  84,  52,  52,  75,
     89, 133,   0,  12,  26,  14, 240, 240, 204,  44,  44, 163,
    164, 163, 164, 163, 164, 164, 163, 164, 163, 164, 163, 164,
    164, 163, 164,   0,  11,  80,  35,  15,   0,   6,   6, 136,
    106,  69,  37,  52,  68,  52,  68,  53,  37,  74, 104, 107,
     53,  52,  52,  84,  36,  84,  36,  84,  36,  84,  37,  53,
     59,  89, 133,   0,  12,  32,  15,   0,   6,  21, 137,  91,
     68,  52,  52,  84,  36,  84,  36,  84,  36,  84,  37,  53,
     59,  89, 135, 164, 180, 164, 179, 180, 179, 180,   0,  12,
     32,  17,   6,   0,   6,  18,  52,  36,  50, 240, 240, 162,
     52,  36,  50, 240, 240, 144,  20,   8,   0,   8,  50,  84,
     68,  82,   0,   6,  84,  67,  68,  68,  67,  83,  67,  83,
    240,  96,  20,  13,   0,  12,  66, 148, 118,  87,  71,  86,
    116, 150, 135, 135, 134, 148, 178,   0,  13,  32,  14,  14,
      0,  15, 108,  44,  44, 240, 252,  44,  44,   0,  19,  64,
     20,  13,   0,  11,  50, 180, 150, 135, 135, 134, 148, 118,
     87,  71,  86, 116, 146,   0,  14,  48,  28,  12, 240, 240,
    134,  88,  58,  36,  36, 132, 117,  86,  84, 115, 147,  19,
     87, 102, 116, 240, 240,  50, 148, 132, 146,   0,   9,  96,
     63,  25,   0,  10,  56, 253, 175,   1, 134, 102, 101, 165,
     69,  37,  19,  20,  68,  42,  21,  52,  26,  52,  36,  20,
     52,  52,  36,  19,  83,  52,  36,  19,  83,  52,  36,  19,
     83,  52,  36,  19,  68,  36,  52,  47,   1,  53,  23,  23,
     84,  52,  53, 101, 240, 101, 240, 102, 100, 175, 190, 232,
      0,  10,  64,  37,  19,   0,   8,   4, 229, 229, 230, 199,
    195,  19, 180,  20, 164,  35, 163,  51, 148,  52, 132,  67,
    139, 125, 109,  99, 115,  84, 116,  68, 116,  68, 132,  36,
    148,   0,  14,  64,  36,  16,   0,   6,  10, 108,  76,  68,
     69,  52,  84,  52,  84,  52,  84,  60,  75,  93,  52,  84,
     52, 100,  36, 100,  36, 100,  36, 100,  36,  85,  45,  60,
     74,   0,  12,  96,  39,  20,   0,   8,  39, 187, 141, 101,
     85,  69, 116,  68, 148,  36, 240,  20, 240,  20, 240,  20,
    240,  20, 240,  20, 240,  20, 240,  36, 148,  53, 116,  85,
     85, 109, 139, 183,   0,  15, 112,  39,  17,   0,   6,  57,
    139, 108,  84,  69,  68,  85,  52, 100,  52, 116,  36, 116,
     36, 116,  36, 116,  36, 116,  36, 116,  36, 116,  36, 100,
     52,  85,  52,  69,  76,  91, 105,   0,  13,  96,  26,  15,
    240, 240, 252,  60,  60,  52, 180, 180, 180, 187,  75,  75,
     68, 180, 180, 180, 180, 180, 189,  45,  45,   0,  11,  64,
     26,  15, 240, 240, 253,  45,  45,  36, 180, 180, 180, 180,
    187,  75,  75,  68, 180, 180, 180, 180, 180, 180, 180,   0,
     12,  80,  38,  19,   0,   7, 118, 186, 141,  85,  84,  69,
    116,  52, 147,  36, 244, 244, 244, 103,  36, 103,  36, 103,
     36, 148,  52, 132,  53, 116,  69,  70,  94, 105,  19, 134,
     35,   0,  14,  64,  41,  17,   0,   6,  52, 116,  36, 116,
     36, 116,  36, 116,  36, 116,  36, 116,  36, 116,  47,  47,
     47,  36, 116,  36, 116,  36, 116,  36, 116,  36, 116,  36,
    116,  36, 116,  36, 116,  36, 116,   0,  13,  25,   6, 240,
     52,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,
     36,  36,  36,  36,  36,  36,  36, 240, 240, 128,  28,  15,
      0,   6, 100, 180, 180, 180, 180, 180, 180, 180, 180, 180,
    180, 180, 180, 180,  36,  84,  52,  53,  59,  89, 134,   0,
     11, 112,  40,  17,   0,   6,  52, 101,  36,  85,  52,  69,
     68,  53,  84,  37, 100,  21, 116,  20, 136, 151, 168, 153,
    132,  21, 116,  36, 116,  52, 100,  68,  84,  69,  68,  85,
     52, 101,  36, 116,   0,  13,  26,  14, 240, 240, 196, 164,
    164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164, 164,
    164, 164, 172,  44,  44,   0,  10,  96,  55,  20,   0,   7,
     69, 133,  37, 133,  37, 133,  38, 102,  38, 102,  39,  71,
     39,  71,  39,  71,  40,  40,  36,  19,  35,  20,  36,  19,
     20,  20,  36,  38,  36,  36,  38,  36,  36,  38,  36,  36,
     52,  52,  36,  52,  52,  36,  52,  52,  36, 164,  36, 164,
      0,  15,  32,  49,  17,   0,   6,  52, 116,  37, 100,  38,
     84,  38,  84,  39,  68,  39,  68,  40,  52,  36,  19,  52,
     36,  20,  36,  36,  35,  36,  36,  36,  20,  36,  51,  20,
     36,  56,  36,  71,  36,  71,  36,  86,  36,  86,  36, 101,
     36, 116,   0,  13,  39,  21,   0,   8,  87, 203, 157, 117,
     85,  85, 117,  68, 148,  52, 180,  36, 180,  36, 180,  36,
    180,  36, 180,  36, 180,  36, 180,  52, 148,  69, 117,  85,
     85, 125, 155, 199,   0,  16,  96,  31,  16,   0,   6,  11,
     92,  77,  52,  85,  36, 100,  36, 100,  36, 100,  36,  85,
     45,  60,  75,  84, 196, 196, 196, 196, 196, 196, 196,   0,
     13,  64,  43,  21,   0,   8,  87, 203, 157, 117,  85,  85,
    117,  68, 148,  52, 180,  36, 180,  36, 180,  36, 180,  36,
    129,  36,  36, 115,  20,  36, 105,  52, 103,  69, 102,  85,
     86, 111,   1, 111, 135,  49,   0,  16,  32,  39,  16,   0,
      6,  10, 107,  92,  68,  69,  52,  84,  52,  84,  52,  84,
     52,  69,  60,  75,  90, 100,  36, 100,  51, 100,  52,  84,
     68,  68,  68,  68,  84,  52, 100,  36, 100,   0,  12,  32,
     32,  15,   0,   6,  21, 137, 106,  68,  52,  68,  65, 100,
    181, 182, 152, 136, 151, 166,  65, 100,  50, 100,  36,  84,
     37,  53,  59,  89, 134,   0,  11, 112,  26,  17,   0,   6,
     63,  47,  47, 116, 212, 212, 212, 212, 212, 212, 212, 212,
    212, 212, 212, 212, 212, 212, 212,   0,  13,  96,  42,  17,
      0,   6,  52, 116,  36, 116,  36, 116,  36, 116,  36, 116,
     36, 116,  36, 116,  36, 116,  36, 116,  36, 116,  36, 116,
     36, 116,  36, 116,  36, 116,  37,  85,  52,  69,  77,  91,
    135,   0,  13,  64,  40,  19,   0,   7,  20, 148,  52, 116,
     68, 116,  68, 116,  83, 100, 100,  84, 100,  84, 115,  68,
    132,  52, 132,  52, 147,  51, 164,  20, 164,  20, 179,  19,
    199, 199, 213, 229, 229,   0,  15,  32,  61,  26,   0,   9,
     99, 240,  36,  36, 240,  20,  36, 100, 100,  36, 100,  99,
     67, 100,  84,  68,  70,  68,  68,  70,  68,  83,  70,  67,
     99,  55,  52, 100,  35,  20,  36, 100,  35,  35,  35, 131,
     20,  35,  35, 131,  19,  56, 135,  71, 135,  70, 165,  86,
    165, 101, 165, 101, 165, 100,   0,  20,  48,  37,  18,   0,
      6, 116, 100,  84,  84, 100,  52, 116,  36, 148,  20, 152,
    183, 197, 212, 229, 198, 199, 169, 133,  20, 132,  52, 100,
     68, 100,  84,  68, 100,  53, 116,   0,  13,  96,  32,  16,
      0,   6,   4, 100,  36, 100,  52,  68,  68,  68,  84,  36,
    100,  36, 120, 136, 150, 166, 180, 196, 196, 196, 196, 196,
    196, 196, 196,   0,  12, 112,  26,  16,   0,   6,  13,  61,
     60, 196, 180, 196, 180, 196, 180, 180, 196, 180, 196, 180,
    195, 196, 205,  46,  46,   0,  12,  32,  27,   9, 151,  39,
     39,  36,  84,  84,  84,  84,  84,  84,  84,  84,  84,  84,
     84,  84,  84,  84,  84,  87,  39,  39,   0,   5, 112,  28,
     17, 240,  35, 228, 227, 243, 227, 243, 228, 227, 228, 227,
    228, 227, 243, 227, 243, 228, 227, 228, 227, 228, 227, 243,
      0,  10, 112,  27,   9, 151,  39,  39,  84,  84,  84,  84,
     84,  84,  84,  84,  84,  84,  84,  84,  84,  84,  84,  84,
     39,  39,  39,   0,   5, 112,  20,  15,   0,   6,  35, 181,
    151, 116,  19, 115,  51,  84,  52,  52,  83,  51, 115,   0,
     32,  16,  10,  15,   0,  41,  45,  45,  45,   0,   5, 112,
     10,   8, 240, 148,  84,  83,  99,   0,  21,  32,  26,  14,
      0,  14,  54, 121,  74,  67,  68, 164,  89,  59,  59,  36,
     68,  36,  68,  36,  53,  44,  59,  68,  51,   0,  10,  96,
     35,  15, 240, 240, 243, 195, 195, 195, 195, 195,  36, 107,
     76,  52,  68,  52,  69,  35, 100,  35, 100,  35, 100,  35,
    100,  36,  69,  36,  68,  60,  59,  67,  36,   0,  12,  25,
     15,   0,  15,  70, 122,  76,  53,  52,  37,  82,  52, 180,
    180, 180, 181,  82,  68,  68,  60,  74, 118,   0,  11, 112,
     36,  15,   0,   6, 115, 195, 195, 195, 195, 100,  35,  75,
     60,  52,  68,  37,  68,  36,  99,  36,  99,  36,  99,  36,
     99,  37,  68,  52,  68,  60,  75, 100,  35,   0,  11,  64,
     24,  15,   0,  15,  69, 137,  91,  68,  67,  52,  84,  45,
     45,  45,  36, 180,  98,  68,  68,  59,  89, 133,   0,  12,
     26,  11, 240, 240, 117,  86,  71,  68, 116,  88,  56,  56,
     84, 116, 116, 116, 116, 116, 116, 116, 116, 116, 116,   0,
      8, 112,  34,  15,   0,  14,  65, 116,  20,  75,  74,  68,
     37,  67,  68,  67,  68,  68,  37,  89, 105,  88, 115, 202,
     91,  61,  35, 100,  35, 100,  36,  69,  59,  74, 119,  80,
     39,  15, 240, 240, 244, 180, 180, 180, 180, 180,  37,  68,
     23,  61,  38,  37,  37,  68,  36,  84,  36,  84,  36,  84,
     36,  84,  36,  84,  36,  84,  36,  84,  36,  84,  36,  84,
      0,  11,  64,  23,   6, 240,  52,  36,  36, 228,  36,  36,
     36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36, 240,
    240, 128,  27,   9, 240, 244,  84,  84, 240, 132,  84,  84,
     84,  84,  84,  84,  84,  84,  84,  84,  84,  84,  84,  84,
     68,  54,  53,  83, 224,  37,  15, 240, 240, 244, 180, 180,
    180, 180, 180,  68,  52,  53,  52,  37,  68,  36,  84,  20,
    104, 119, 136, 116,  20, 100,  36,  84,  36,  84,  52,  68,
     68,  52,  84,   0,  11,  64,  25,   6, 240,  52,  36,  36,
     36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,
     36,  36,  36,  36, 240, 240, 128,  48,  22,   0,  22,   4,
     36,  68,  68,  22,  38,  63,   5,  37,  53,  52,  37,  53,
     52,  36,  68,  68,  36,  68,  68,  36,  68,  68,  36,  68,
     68,  36,  68,  68,  36,  68,  68,  36,  68,  68,  36,  68,
     68,  36,  68,  68,   0,  16,  96,  34,  14,   0,  14,   4,
     36,  68,  22,  60,  37,  52,  37,  52,  36,  68,  36,  68,
     36,  68,  36,  68,  36,  68,  36,  68,  36,  68,  36,  68,
     36,  68,   0,  10,  96,  29,  17,   0,  17,  71, 153, 123,
     85,  53,  53,  85,  36, 116,  36, 116,  36, 116,  36, 116,
     37,  85,  53,  53,  91, 121, 151,   0,  13,  64,  35,  15,
      0,  15,   3,  36, 107,  76,  52,  68,  52,  69,  35, 100,
     35, 100,  35, 100,  35, 100,  36,  69,  36,  68,  60,  59,
     67,  36,  99, 195, 195, 195, 195, 195, 192,  35,  15,   0,
     15,  68,  35,  75,  60,  52,  68,  37,  68,  36,  99,  36,
     99,  36,  99,  36,  99,  37,  68,  52,  68,  60,  75, 100,
     35, 195, 195, 195, 195, 195, 195,  32,  22,  12,   0,  12,
      4,  36,  36,  21,  41,  54, 101, 117, 116, 132, 132, 132,
    132, 132, 132, 132,   0,  10,  24,  13,   0,  13,  53, 119,
     89,  67,  49,  99, 165, 151, 134, 149,  50,  68,  36,  52,
     58,  72, 101,   0,  10,  48,  26,  11, 240, 240, 114, 116,
    116, 116, 116,  89,  41,  41,  68, 116, 116, 116, 116, 116,
    116, 116, 119,  86, 116,   0,   8,  64,  34,  14,   0,  14,
      4,  68,  36,  68,  36,  68,  36,  68,  36,  68,  36,  68,
     36,  68,  36,  68,  36,  68,  36,  53,  36,  53,  44,  54,
     20,  68,  36,   0,  10,  96,  31,  15,   0,  15,   4,  84,
     51,  83,  67,  83,  68,  52,  83,  51,  99,  51, 100,  20,
    115,  19, 131,  19, 131,  19, 149, 165, 165, 179,   0,  12,
     16,  47,  22,   0,  22,   3,  83,  84,  36,  68,  67,  67,
     53,  67,  67,  53,  52,  67,  53,  51,  84,  38,  35,  99,
     19,  19,  35,  99,  19,  19,  19, 115,  19,  34,  19, 134,
     38, 133,  53, 149,  53, 164,  68, 163,  83,   0,  17,  48,
     28,  14,   0,  14,   4,  67,  67,  52,  68,  20, 104, 118,
    133, 164, 149, 150, 119, 100,  20,  83,  52,  52,  67,  51,
     84,   0,  10,  96,  33,  15,   0,  15,   4,  99,  51,  84,
     52,  68,  52,  67,  83,  52,  84,  35, 115,  35, 115,  20,
    119, 150, 150, 164, 180, 180, 179, 180, 179, 195, 180, 179,
    144,  20,  13,   0,  13,  10,  58,  57, 148, 147, 147, 163,
    147, 148, 147, 147, 170,  43,  43,   0,  10,  27,  10, 213,
     70,  70,  68, 100, 100, 100, 100, 100, 100,  70,  68, 102,
    100, 100, 100, 100, 100, 100, 102,  70,  85,   0,   6,  64,
     27,   6, 100,  36,  36,  36,  36,  36,  36,  36,  36,  36,
     36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,  36,
    240, 240,  32,  27,  10, 165,  86,  70, 100, 100, 100, 100,
    100, 100, 100, 102, 100,  70,  68, 100, 100, 100, 100, 100,
     70,  70,  69,   0,   6, 112,  15,  16,   0,  20,  36,  97,
     71,  51,  46,  50,  55, 180,   0,  26,  64,
};

//*****************************************************************************
//
// The font definition for the 28 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu28b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    23,

    //
    // The height of the font.
    //
    28,

    //
    // The baseline of the font.
    //
    22,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   28,   48,   93,  128,  180,  218,
         231,  258,  285,  305,  325,  339,  349,  360,
         387,  426,  454,  482,  511,  543,  573,  604,
         630,  665,  697,  714,  734,  754,  768,  788,
         816,  879,  916,  952,  991, 1030, 1056, 1082,
        1120, 1161, 1186, 1214, 1254, 1280, 1335, 1384,
        1423, 1454, 1497, 1536, 1568, 1594, 1636, 1676,
        1737, 1774, 1806, 1832, 1859, 1887, 1914, 1934,
        1944, 1954, 1980, 2015, 2040, 2076, 2100, 2126,
        2160, 2199, 2222, 2249, 2286, 2311, 2359, 2393,
        2422, 2457, 2492, 2514, 2538, 2564, 2598, 2629,
        2676, 2704, 2737, 2757, 2784, 2811, 2838,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu28bData
};
